Subject: Re: [PATCH 24/24] document volatile atomic_read() behavior

From: "Chris Friesen" <[email-masked]>
Date: Thu, 09 Aug 2007 14:10:33 -0600

Segher Boessenkool wrote:

> Anyway, what's the supposed advantage of *(volatile *) vs. using
> a real volatile object?  That you can access that same object in
> a non-volatile way?

That's my understanding.  That way accesses where you don't care about 
volatility may be optimised.

For instance, in cases where there are already other things controlling 
visibility (as are needed for atomic increment, for example) you don't 
need to make the access itself volatile.

Chris